%define		xfce_version	4.10.0
Summary:	Calendar for Xfce
Summary(pl.UTF-8):	Kalendarz dla Xfce
Name:		orage
Version:	4.10.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/apps/orage/4.10/%{name}-%{version}.tar.bz2
# Source0-md5:	b33fa272d92f539a224a7a40b1926dfc
URL:		http://www.xfce.org/projects/orage
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.4
BuildRequires:	libical-devel >= 0.43
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.8.0
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme >= 0.12-4
Obsoletes:	xfcalendar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orage is a time-managing application that is part of the Xfce Desktop
Environment and features a calendar window, lists of events and
reminders. It also provides an easy way to archive and manage your old
appointments.

%description -l pl.UTF-8
Orage to aplikacja do zarządzania czasem będąca częścią środowiska
graficznego Xfce. Zawiera okno kalendarza, listę wydarzeń i
przypominajek. Udostępnia także łatwy sposób archiwizowania i
zarządzania starymi spotkaniami.

%prep
%setup -q

%build
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/globaltime
%attr(755,root,root) %{_bindir}/orage
%attr(755,root,root) %{_bindir}/tz_convert
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-orageclock-plugin
%{_datadir}/orage
%{_desktopdir}/globaltime.desktop
%{_desktopdir}/xfcalendar.desktop
%{_desktopdir}/xfce-xfcalendar-settings.desktop
%{_datadir}/dbus-1/services/org.xfce.calendar.service
%{_datadir}/dbus-1/services/org.xfce.orage.service
%{_datadir}/xfce4/panel-plugins/xfce4-orageclock-plugin.desktop
%{_mandir}/man1/globaltime.1*
%{_mandir}/man1/orage.1*
%{_mandir}/man1/tz_convert.1*
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.xpm
%{_iconsdir}/hicolor/scalable/*/*.svg
%changelog
* Fri Aug 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/orage.git;a=log;h=master

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> b306eae
- up to 4.10.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 3dcda9a
- release 2

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 40fa468
- up to 4.8.3

* Tue Dec 20 2011 lisu <lisu@pld-linux.org> 3f14a10
- package /usr/share/icons/hicolor/160x160/*.xpm (requires hicolor-icon-theme >= 0.12-4)
- rel 3

* Tue Dec 20 2011 Elan Ruusamäe <glen@pld-linux.org> a338286
- remove unwanted dir, not leave off packaging

* Tue Dec 20 2011 lisu <lisu@pld-linux.org> fe7c894
- there is no /usr/share/icons/hicolor/160x160 dir
- rel 2

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 2333b1e
- 4.8.2
- merges post scripts

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> e110de2
- update-desktop-database (.desktop specifies MimeType)

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> ad387fc
- comment

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 56610b6
- release 2

* Thu Mar 03 2011 Jan Rękorajski <baggins@pld-linux.org> 43889de
- 4.8.1

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 980a3d4
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> fbac644
- Requires(post,postun): gtk-update-icon-cache

* Mon Apr 27 2009 Adam Gołębiowski <adamg@pld-linux.org> 7336bb5
- updated to 4.6.1

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> ebde1d5
- obsolete

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> cc898d1
- updated to 4.6.0
- removed obsolete -locale-names.patch

* Tue Oct 28 2008 Paweł Gołaszewski <blues@pld-linux.org> 180f68f
- pt_PT fixed

* Mon Oct 27 2008 Paweł Gołaszewski <blues@pld-linux.org> 57fb03f
- 4.4.3

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 19892b6
- updated to 4.4.2

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> d0ef0fe
- updated for 4.4.2

